.titleBar { margin-bottom: 5px!important; }

Asterisk 1.0.5 mit chan_capi 0.3.5-9 ohne Patch lauffähig?

Dieses Thema im Forum "Asterisk ISDN mit CAPI (chan_capi, chan_capi_cm)" wurde erstellt von rowitech, 9 Feb. 2005.

  1. rowitech

    rowitech Neuer User

    Registriert seit:
    30 Sep. 2004
    Beiträge:
    115
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hallo,

    ich habe auf einem Debian-System ein Asterisk 1.0.5 und den (Junghanns) asterisk-chan-capi 0.3.5-9 installiert. In dem System stecke eine AVM C4. Im Wiki von www.voip-info.org fand ich auch eine Konfigurationsanleitung, doch hänge ich derzeit an einer Fehlermeldung fest.

    -capiinit scheint zu funktionieren (keine Fehlermeldung)
    -capiinfo zeigt mir die 4 Ports der Karte
    -asterisk startet wegen Fehlermeldungen nicht:

    Code:
    Feb  9 08:44:28 WARNING[4793]: Unable to open pseudo channel for timing...  Sound may be choppy.
    Feb  9 08:44:28 WARNING[4798]: Found no files in '/usr/share/asterisk/mohmp3'
    Feb  9 08:44:28 WARNING[4798]: unable to spawn mp3player
    Feb  9 08:44:28 NOTICE[4793]: registered database handle 'mysql1' dsn->[MySQL-asterisk]
    Feb  9 08:44:28 NOTICE[4793]: registered database handle 'mysql2' dsn->[MySQL-asterisk]
    Feb  9 08:44:28 NOTICE[4793]: res_odbc loaded.
    Feb  9 08:44:28 NOTICE[4793]: Registered Config Engine odbc
    Feb  9 08:44:28 NOTICE[4793]: res_config_odbc loaded.
    Feb  9 08:44:28 ERROR[4800]: Command.Subcommand = 0x5.0x81
    Feb  9 08:44:28 ERROR[4800]: Command.Subcommand = 0x5.0x81
    Feb  9 08:44:28 ERROR[4800]: Command.Subcommand = 0x5.0x81
    Feb  9 08:44:28 WARNING[4793]: Unable to open IAX timing interface: No such file or directory
    Feb  9 08:44:28 WARNING[4793]: Unable to get our IP address, Skinny disabled
    Feb  9 08:44:28 WARNING[4793]: /usr/lib/asterisk/modules/chan_zap.so: undefined symbol: pri_dump_info
    Feb  9 08:44:28 WARNING[4793]: Loading module chan_zap.so failed!
    
    Benötige ich wirklich noch den Patch vom letzten Jahr für diese Versionen? Gibt es evtl. bekannte Probleme mit den Versionen?

    Gruß
    Rolf
     
  2. rowitech

    rowitech Neuer User

    Registriert seit:
    30 Sep. 2004
    Beiträge:
    115
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Habe gerade die 1.0.3 probiert, die läuft auf Anhieb.

    Gruß
    Rolf
     
  3. speedy1980

    speedy1980 Mitglied

    Registriert seit:
    13 Okt. 2004
    Beiträge:
    592
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Nach Deiner Fehlermeldung ist chan_zap am Fehler schuld. Scheint als hättest Du Versionen gemischt (Asterisk - libpri - zaptel) oder aber einen Fehler in der Konfiguration.
     
  4. Hupe

    Hupe Aktives Mitglied

    Registriert seit:
    8 Apr. 2004
    Beiträge:
    2,586
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Asterisk 1.0.5 läuft einwandfrei mit chan_capi 0.3.5. (Habe es schon getestet).
    Nur für die Head-Version muss man chan_capi (etwas) anpassen, damit es läuft.
     
  5. rowitech

    rowitech Neuer User

    Registriert seit:
    30 Sep. 2004
    Beiträge:
    115
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Wow, interessant. Danke für die Info, habe jetzt 1.0.3 am laufen, k.a. woran es lag. Wo könnte die Konfiguration denn haken?

    Gruß
    Rolf
     
  6. Hupe

    Hupe Aktives Mitglied

    Registriert seit:
    8 Apr. 2004
    Beiträge:
    2,586
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hast Du nach dem Kompilieren und Installieren von Asterisk 1.0.5 auch chan_capi neu kompiliert? Wenn nicht, dann würde ich das mal probieren.
     
  7. rowitech

    rowitech Neuer User

    Registriert seit:
    30 Sep. 2004
    Beiträge:
    115
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hab vergessen zu schreiben, dass ich die Pakete mit apt-get geholt habe:
    - asterisk-chan-capi (ist Version 0.3.5-9)
    - asterisk (1.0.5)

    Möglicherweise ist da ein Unterschied zwischen der 1.0.5 von Debian und der direkt von Asterisk.org. Wenn dem so ist, dann ist die Versions-Nummerierung aber nicht so gut...

    Gruß
    Rolf
     
  8. CoAXx

    CoAXx Neuer User

    Registriert seit:
    9 Feb. 2005
    Beiträge:
    123
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Code:
    Mar  3 00:52:02 WARNING[5959]: Unable to open pseudo channel for timing...  Sound may be choppy.
    Mar  3 00:52:02 WARNING[5964]: Found no files in '/usr/share/asterisk/mohmp3'
    Mar  3 00:52:02 WARNING[5964]: unable to spawn mp3player
    Mar  3 00:52:02 NOTICE[5959]: registered database handle 'mysql1' dsn->[MySQL-asterisk]
    Mar  3 00:52:02 NOTICE[5959]: registered database handle 'mysql2' dsn->[MySQL-asterisk]
    Mar  3 00:52:02 NOTICE[5959]: res_odbc loaded.
    Mar  3 00:52:02 NOTICE[5959]: Registered Config Engine odbc
    Mar  3 00:52:02 NOTICE[5959]: res_config_odbc loaded.
    Mar  3 00:52:02 WARNING[5959]: Unable to open IAX timing interface: No such file or directory
    Mar  3 00:52:02 WARNING[5959]: Unable to get our IP address, Skinny disabled
    Mar  3 00:52:03 WARNING[5959]: /usr/lib/asterisk/modules/app_capiCD.so: undefined symbol: capidebug
    Mar  3 00:52:03 WARNING[5959]: Loading module app_capiCD.so failed!
    
    Zwar setze ich eine AVM Fritz Karte PCI 2.0 ein, aber gleiches Ergebnis (siehe log)

    -capiinit läuft
    -isdn4linux läuft (über capi), nicht Hisax, Hisax module sind entladen
    - Asterisk ist mit apt-get in der Version 1.0.5 installiert und hat ohne chan_capi intern 1A funktioniert
    - dann nach der Installation von chan_capi 0.359 erhalte ich obigen log.


    Kann mir jemand helfen?

    @rowitech

    wie hast du die asterisk 1.03 unter debian installiert, ich finde nur die 1.05. ....
     
  9. CoAXx

    CoAXx Neuer User

    Registriert seit:
    9 Feb. 2005
    Beiträge:
    123
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    ich hab es doch noch gelöst...es lag einfach an einem fehlenden Eintrag in der /etc/asterisk/modules.conf. Dort fehlte chan_capi.so=yes


    ...
    [global]
    chan_modem.so=yes
    chan_capi.so=yes